Cloud / Backups
GET Backups: Auflisten API v2
Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.
curl \ -H "Authorization: Bearer IHR_API_TOKEN" \ "https://connect.nicapi.eu/api/v2/cloud/backups"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::get("https://connect.nicapi.eu/api/v2/cloud/backups");
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
DELETE Backups: Löschen API v2
Pfad-Parameter Werden direkt in die URL eingesetzt.
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
cloud_server_backup
|
Pflicht | Identifikator: Cloud-Server-Backup | Identifikator (id) des Objekts „Cloud Server Backup“, Teil des Pfads. |
Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.
curl \
-X DELETE \
-H "Authorization: Bearer IHR_API_TOKEN" \
"https://connect.nicapi.eu/api/v2/cloud/backups/{cloud_server_backup}"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::delete("https://connect.nicapi.eu/api/v2/cloud/backups/{cloud_server_backup}");
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
Cloud / Firewall
GET Firewall: Address Sets API v2
Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.
curl \ -H "Authorization: Bearer IHR_API_TOKEN" \ "https://connect.nicapi.eu/api/v2/cloud/firewall/address-sets"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::get("https://connect.nicapi.eu/api/v2/cloud/firewall/address-sets");
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
POST Firewall: Address Sets API v2
Request-Parameter Werden im Request-Body übergeben (JSON oder Formular-Felder).
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
title
|
Pflicht | Text |
höchstens 255 Zeichen
|
|
project_uuid
|
Pflicht | UUID |
curl \
-X POST \
-H "Authorization: Bearer IHR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"title": "text",
"project_uuid": "2f1b6c3e-7d84-4a0b-9c1e-5f3a8b7d2c10"
}' \
"https://connect.nicapi.eu/api/v2/cloud/firewall/address-sets"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::post("https://connect.nicapi.eu/api/v2/cloud/firewall/address-sets", [
'title' => 'text',
'project_uuid' => '2f1b6c3e-7d84-4a0b-9c1e-5f3a8b7d2c10',
]);
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
GET Firewall: Address Sets API v2
Pfad-Parameter Werden direkt in die URL eingesetzt.
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
firewall_address_set
|
Pflicht | Identifikator: Firewall-Adresssatz | Identifikator (id) des Objekts „Firewall Address Set“, Teil des Pfads. |
Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.
curl \
-H "Authorization: Bearer IHR_API_TOKEN" \
"https://connect.nicapi.eu/api/v2/cloud/firewall/address-sets/{firewall_address_set}"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::get("https://connect.nicapi.eu/api/v2/cloud/firewall/address-sets/{firewall_address_set}");
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
PUT Firewall: Address Sets API v2
Pfad-Parameter Werden direkt in die URL eingesetzt.
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
firewall_address_set
|
Pflicht | Identifikator: Firewall-Adresssatz | Identifikator (id) des Objekts „Firewall Address Set“, Teil des Pfads. |
Request-Parameter Werden im Request-Body übergeben (JSON oder Formular-Felder).
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
title
|
Optional | Text |
höchstens 255 Zeichen
|
|
project_uuid
|
Optional |
UUID
darf leer (null) sein |
curl \
-X PUT \
-H "Authorization: Bearer IHR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"title": "text",
"project_uuid": "2f1b6c3e-7d84-4a0b-9c1e-5f3a8b7d2c10"
}' \
"https://connect.nicapi.eu/api/v2/cloud/firewall/address-sets/{firewall_address_set}"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::put("https://connect.nicapi.eu/api/v2/cloud/firewall/address-sets/{firewall_address_set}", [
'title' => 'text',
'project_uuid' => '2f1b6c3e-7d84-4a0b-9c1e-5f3a8b7d2c10',
]);
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
DELETE Firewall: Address Sets API v2
Pfad-Parameter Werden direkt in die URL eingesetzt.
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
firewall_address_set
|
Pflicht | Identifikator: Firewall-Adresssatz | Identifikator (id) des Objekts „Firewall Address Set“, Teil des Pfads. |
Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.
curl \
-X DELETE \
-H "Authorization: Bearer IHR_API_TOKEN" \
"https://connect.nicapi.eu/api/v2/cloud/firewall/address-sets/{firewall_address_set}"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::delete("https://connect.nicapi.eu/api/v2/cloud/firewall/address-sets/{firewall_address_set}");
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
GET Firewall: Address Sets Addresses API v2
Pfad-Parameter Werden direkt in die URL eingesetzt.
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
firewall_address_set
|
Pflicht | Identifikator: Firewall-Adresssatz | Identifikator (id) des Objekts „Firewall Address Set“, Teil des Pfads. |
Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.
curl \
-H "Authorization: Bearer IHR_API_TOKEN" \
"https://connect.nicapi.eu/api/v2/cloud/firewall/address-sets/{firewall_address_set}/addresses"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::get("https://connect.nicapi.eu/api/v2/cloud/firewall/address-sets/{firewall_address_set}/addresses");
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
POST Firewall: Address Sets Addresses API v2
Pfad-Parameter Werden direkt in die URL eingesetzt.
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
firewall_address_set
|
Pflicht | Identifikator: Firewall-Adresssatz | Identifikator (id) des Objekts „Firewall Address Set“, Teil des Pfads. |
Request-Parameter Werden im Request-Body übergeben (JSON oder Formular-Felder).
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
cidr
|
Pflicht | Text |
IPv4-Netz in CIDR-Schreibweise, z. B. 192.0.2.0/28
|
|
title
|
Pflicht | Text |
höchstens 255 Zeichen
|
curl \
-X POST \
-H "Authorization: Bearer IHR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"cidr": "text",
"title": "text"
}' \
"https://connect.nicapi.eu/api/v2/cloud/firewall/address-sets/{firewall_address_set}/addresses"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::post("https://connect.nicapi.eu/api/v2/cloud/firewall/address-sets/{firewall_address_set}/addresses", [
'cidr' => 'text',
'title' => 'text',
]);
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
PUT Firewall: Address Sets Addresses API v2
Pfad-Parameter Werden direkt in die URL eingesetzt.
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
firewall_address_set
|
Pflicht | Identifikator: Firewall-Adresssatz | Identifikator (id) des Objekts „Firewall Address Set“, Teil des Pfads. | |
firewall_address
|
Pflicht | Identifikator: Firewall-Adresse | Identifikator (cidr) des Objekts „Firewall Address“, Teil des Pfads. |
Request-Parameter Werden im Request-Body übergeben (JSON oder Formular-Felder).
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
title
|
Pflicht | Text |
höchstens 255 Zeichen
|
curl \
-X PUT \
-H "Authorization: Bearer IHR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"title": "text"
}' \
"https://connect.nicapi.eu/api/v2/cloud/firewall/address-sets/{firewall_address_set}/addresses/{firewall_address}"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::put("https://connect.nicapi.eu/api/v2/cloud/firewall/address-sets/{firewall_address_set}/addresses/{firewall_address}", [
'title' => 'text',
]);
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
DELETE Firewall: Address Sets Addresses API v2
Pfad-Parameter Werden direkt in die URL eingesetzt.
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
firewall_address_set
|
Pflicht | Identifikator: Firewall-Adresssatz | Identifikator (id) des Objekts „Firewall Address Set“, Teil des Pfads. | |
firewall_address
|
Pflicht | Identifikator: Firewall-Adresse | Identifikator (cidr) des Objekts „Firewall Address“, Teil des Pfads. |
Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.
curl \
-X DELETE \
-H "Authorization: Bearer IHR_API_TOKEN" \
"https://connect.nicapi.eu/api/v2/cloud/firewall/address-sets/{firewall_address_set}/addresses/{firewall_address}"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::delete("https://connect.nicapi.eu/api/v2/cloud/firewall/address-sets/{firewall_address_set}/addresses/{firewall_address}");
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
GET Firewall: Rule Sets API v2
Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.
curl \ -H "Authorization: Bearer IHR_API_TOKEN" \ "https://connect.nicapi.eu/api/v2/cloud/firewall/rule-sets"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::get("https://connect.nicapi.eu/api/v2/cloud/firewall/rule-sets");
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
POST Firewall: Rule Sets API v2
Request-Parameter Werden im Request-Body übergeben (JSON oder Formular-Felder).
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
title
|
Pflicht | Text |
höchstens 255 Zeichen
|
|
project_uuid
|
Pflicht | UUID |
curl \
-X POST \
-H "Authorization: Bearer IHR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"title": "text",
"project_uuid": "2f1b6c3e-7d84-4a0b-9c1e-5f3a8b7d2c10"
}' \
"https://connect.nicapi.eu/api/v2/cloud/firewall/rule-sets"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::post("https://connect.nicapi.eu/api/v2/cloud/firewall/rule-sets", [
'title' => 'text',
'project_uuid' => '2f1b6c3e-7d84-4a0b-9c1e-5f3a8b7d2c10',
]);
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
GET Firewall: Rule Sets API v2
Pfad-Parameter Werden direkt in die URL eingesetzt.
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
firewall_rule_set
|
Pflicht | Identifikator: Firewall-Regelsatz | Identifikator (id) des Objekts „Firewall Rule Set“, Teil des Pfads. |
Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.
curl \
-H "Authorization: Bearer IHR_API_TOKEN" \
"https://connect.nicapi.eu/api/v2/cloud/firewall/rule-sets/{firewall_rule_set}"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::get("https://connect.nicapi.eu/api/v2/cloud/firewall/rule-sets/{firewall_rule_set}");
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
PUT Firewall: Rule Sets API v2
Pfad-Parameter Werden direkt in die URL eingesetzt.
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
firewall_rule_set
|
Pflicht | Identifikator: Firewall-Regelsatz | Identifikator (id) des Objekts „Firewall Rule Set“, Teil des Pfads. |
Request-Parameter Werden im Request-Body übergeben (JSON oder Formular-Felder).
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
title
|
Optional | Text |
höchstens 255 Zeichen
|
|
project_uuid
|
Optional |
UUID
darf leer (null) sein |
curl \
-X PUT \
-H "Authorization: Bearer IHR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"title": "text",
"project_uuid": "2f1b6c3e-7d84-4a0b-9c1e-5f3a8b7d2c10"
}' \
"https://connect.nicapi.eu/api/v2/cloud/firewall/rule-sets/{firewall_rule_set}"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::put("https://connect.nicapi.eu/api/v2/cloud/firewall/rule-sets/{firewall_rule_set}", [
'title' => 'text',
'project_uuid' => '2f1b6c3e-7d84-4a0b-9c1e-5f3a8b7d2c10',
]);
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
DELETE Firewall: Rule Sets API v2
Pfad-Parameter Werden direkt in die URL eingesetzt.
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
firewall_rule_set
|
Pflicht | Identifikator: Firewall-Regelsatz | Identifikator (id) des Objekts „Firewall Rule Set“, Teil des Pfads. |
Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.
curl \
-X DELETE \
-H "Authorization: Bearer IHR_API_TOKEN" \
"https://connect.nicapi.eu/api/v2/cloud/firewall/rule-sets/{firewall_rule_set}"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::delete("https://connect.nicapi.eu/api/v2/cloud/firewall/rule-sets/{firewall_rule_set}");
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
GET Firewall: Rule Sets Rules API v2
Pfad-Parameter Werden direkt in die URL eingesetzt.
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
firewall_rule_set
|
Pflicht | Identifikator: Firewall-Regelsatz | Identifikator (id) des Objekts „Firewall Rule Set“, Teil des Pfads. |
Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.
curl \
-H "Authorization: Bearer IHR_API_TOKEN" \
"https://connect.nicapi.eu/api/v2/cloud/firewall/rule-sets/{firewall_rule_set}/rules"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::get("https://connect.nicapi.eu/api/v2/cloud/firewall/rule-sets/{firewall_rule_set}/rules");
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
POST Firewall: Rule Sets Rules API v2
Pfad-Parameter Werden direkt in die URL eingesetzt.
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
firewall_rule_set
|
Pflicht | Identifikator: Firewall-Regelsatz | Identifikator (id) des Objekts „Firewall Rule Set“, Teil des Pfads. |
Request-Parameter Werden im Request-Body übergeben (JSON oder Formular-Felder).
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
title
|
Pflicht | Text |
höchstens 255 Zeichen
|
|
order
|
Pflicht | Ganzzahl |
mindestens 0
|
|
direction
|
Pflicht | Auswahl |
IN OUT |
|
action
|
Pflicht | Auswahl |
ACCEPT DROP REJECT |
|
protocol
|
Optional |
Text
darf leer (null) sein |
höchstens 255 Zeichen
|
|
source_address
|
Optional |
Text
darf leer (null) sein |
||
source_address_set_id
|
Optional |
Ganzzahl
darf leer (null) sein |
||
source_port
|
Optional |
Text
darf leer (null) sein |
||
destination_address
|
Optional |
Text
darf leer (null) sein |
||
destination_address_set_id
|
Optional |
Ganzzahl
darf leer (null) sein |
||
destination_port
|
Optional |
Text
darf leer (null) sein |
curl \
-X POST \
-H "Authorization: Bearer IHR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"title": "text",
"order": 1,
"direction": "IN",
"action": "ACCEPT"
}' \
"https://connect.nicapi.eu/api/v2/cloud/firewall/rule-sets/{firewall_rule_set}/rules"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::post("https://connect.nicapi.eu/api/v2/cloud/firewall/rule-sets/{firewall_rule_set}/rules", [
'title' => 'text',
'order' => 1,
'direction' => 'IN',
'action' => 'ACCEPT',
]);
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
GET Firewall: Rule Sets Rules API v2
Pfad-Parameter Werden direkt in die URL eingesetzt.
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
firewall_rule_set
|
Pflicht | Identifikator: Firewall-Regelsatz | Identifikator (id) des Objekts „Firewall Rule Set“, Teil des Pfads. | |
firewall_rule
|
Pflicht | Identifikator: Firewall-Regel | Identifikator (id) des Objekts „Firewall Rule“, Teil des Pfads. |
Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.
curl \
-H "Authorization: Bearer IHR_API_TOKEN" \
"https://connect.nicapi.eu/api/v2/cloud/firewall/rule-sets/{firewall_rule_set}/rules/{firewall_rule}"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::get("https://connect.nicapi.eu/api/v2/cloud/firewall/rule-sets/{firewall_rule_set}/rules/{firewall_rule}");
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
PUT Firewall: Rule Sets Rules API v2
Pfad-Parameter Werden direkt in die URL eingesetzt.
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
firewall_rule_set
|
Pflicht | Identifikator: Firewall-Regelsatz | Identifikator (id) des Objekts „Firewall Rule Set“, Teil des Pfads. | |
firewall_rule
|
Pflicht | Identifikator: Firewall-Regel | Identifikator (id) des Objekts „Firewall Rule“, Teil des Pfads. |
Request-Parameter Werden im Request-Body übergeben (JSON oder Formular-Felder).
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
title
|
Optional | Text |
höchstens 255 Zeichen
|
|
order
|
Optional | Ganzzahl |
mindestens 0
|
|
direction
|
Optional | Auswahl |
IN OUT |
|
action
|
Optional | Auswahl |
ACCEPT DROP REJECT |
|
protocol
|
Optional |
Text
darf leer (null) sein |
höchstens 255 Zeichen
|
|
source_address
|
Optional |
Text
darf leer (null) sein |
||
source_address_set_id
|
Optional |
Ganzzahl
darf leer (null) sein |
||
source_port
|
Optional |
Text
darf leer (null) sein |
||
destination_address
|
Optional |
Text
darf leer (null) sein |
||
destination_address_set_id
|
Optional |
Ganzzahl
darf leer (null) sein |
||
destination_port
|
Optional |
Text
darf leer (null) sein |
curl \
-X PUT \
-H "Authorization: Bearer IHR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"title": "text",
"order": 1,
"direction": "IN",
"action": "ACCEPT",
"protocol": "text",
"source_address": "text",
"source_address_set_id": 1,
"source_port": "text",
"destination_address": "text",
"destination_address_set_id": 1,
"destination_port": "text"
}' \
"https://connect.nicapi.eu/api/v2/cloud/firewall/rule-sets/{firewall_rule_set}/rules/{firewall_rule}"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::put("https://connect.nicapi.eu/api/v2/cloud/firewall/rule-sets/{firewall_rule_set}/rules/{firewall_rule}", [
'title' => 'text',
'order' => 1,
'direction' => 'IN',
'action' => 'ACCEPT',
'protocol' => 'text',
'source_address' => 'text',
'source_address_set_id' => 1,
'source_port' => 'text',
'destination_address' => 'text',
'destination_address_set_id' => 1,
'destination_port' => 'text',
]);
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
DELETE Firewall: Rule Sets Rules API v2
Pfad-Parameter Werden direkt in die URL eingesetzt.
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
firewall_rule_set
|
Pflicht | Identifikator: Firewall-Regelsatz | Identifikator (id) des Objekts „Firewall Rule Set“, Teil des Pfads. | |
firewall_rule
|
Pflicht | Identifikator: Firewall-Regel | Identifikator (id) des Objekts „Firewall Rule“, Teil des Pfads. |
Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.
curl \
-X DELETE \
-H "Authorization: Bearer IHR_API_TOKEN" \
"https://connect.nicapi.eu/api/v2/cloud/firewall/rule-sets/{firewall_rule_set}/rules/{firewall_rule}"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::delete("https://connect.nicapi.eu/api/v2/cloud/firewall/rule-sets/{firewall_rule_set}/rules/{firewall_rule}");
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
Cloud / Netzwerke
GET Networks: Auflisten API v2
Request-Parameter Werden als Query-Parameter übergeben.
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
tag
|
Optional | Ganzzahl |
mindestens 1
höchstens 4093
|
|
is_public
|
Optional | Boolean (true/false) | ||
title
|
Optional | Text |
höchstens 255 Zeichen
|
curl \ -H "Authorization: Bearer IHR_API_TOKEN" \ "https://connect.nicapi.eu/api/v2/cloud/networks?tag=1&is_public=true&title=text"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::get("https://connect.nicapi.eu/api/v2/cloud/networks", [
'tag' => 1,
'is_public' => true,
'title' => 'text',
]);
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
POST Networks: Anlegen / Ausführen API v2
Request-Parameter Werden im Request-Body übergeben (JSON oder Formular-Felder).
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
tag
|
Optional | Ganzzahl |
mindestens 1
höchstens 4093
|
|
is_public
|
Optional | Boolean (true/false) | ||
title
|
Optional | Text |
höchstens 255 Zeichen
|
|
project_uuid
|
Optional |
Identifikator: Projekt
darf leer (null) sein |
Identifikator (uuid) des Objekts „Project“. |
curl \
-X POST \
-H "Authorization: Bearer IHR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"tag": 1,
"is_public": true,
"title": "text",
"project_uuid": "{project_uuid}"
}' \
"https://connect.nicapi.eu/api/v2/cloud/networks"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::post("https://connect.nicapi.eu/api/v2/cloud/networks", [
'tag' => 1,
'is_public' => true,
'title' => 'text',
'project_uuid' => '{project_uuid}',
]);
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
GET Networks: Addresses API v2
Pfad-Parameter Werden direkt in die URL eingesetzt.
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
network
|
Pflicht | Identifikator: Netzwerk (VLAN) | Identifikator (id) des Objekts „Network“, Teil des Pfads. |
Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.
curl \
-H "Authorization: Bearer IHR_API_TOKEN" \
"https://connect.nicapi.eu/api/v2/cloud/networks/{network}/addresses"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::get("https://connect.nicapi.eu/api/v2/cloud/networks/{network}/addresses");
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
Cloud / Server
GET Servers: Auflisten API v2
Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.
curl \ -H "Authorization: Bearer IHR_API_TOKEN" \ "https://connect.nicapi.eu/api/v2/cloud/servers"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::get("https://connect.nicapi.eu/api/v2/cloud/servers");
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
POST Servers: Anlegen / Ausführen API v2
Request-Parameter Werden im Request-Body übergeben (JSON oder Formular-Felder).
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
project_uuid
|
Pflicht | UUID |
Objekt muss für den Account zugreifbar sein
|
|
title
|
Optional | Text |
höchstens 150 Zeichen
|
|
cores
|
Pflicht | Ganzzahl |
muss einer buchbaren Konfiguration entsprechen (siehe Preise)
muss für den Kunden buchbar sein
|
|
memory
|
Pflicht | Ganzzahl |
muss einer buchbaren Konfiguration entsprechen (siehe Preise)
muss für den Kunden buchbar sein
|
|
template
|
Pflicht | Text | ||
password
|
Optional | Text |
mindestens 6 Zeichen
|
|
ssh_keys
|
Optional | Liste | ||
ssh_keys[]
|
Optional | Text | ||
networks
|
Optional | Liste |
höchstens 20 Einträge
|
|
networks[].vlan_id
|
Optional |
Ganzzahl
darf leer (null) sein |
mindestens 1
|
|
networks[].primary_ipv4
|
Optional |
IP-Adresse
darf leer (null) sein |
||
networks[].custom_address
|
Optional |
Text
darf leer (null) sein |
IPv4-Netz in CIDR-Schreibweise, z. B. 192.0.2.0/28
|
|
networks[].custom_gateway
|
Optional |
IP-Adresse
darf leer (null) sein |
||
storages
|
Pflicht | Liste |
mindestens 1 Einträge
|
|
storages[].size
|
Pflicht | Ganzzahl |
muss einer buchbaren Konfiguration entsprechen (siehe Preise)
muss für den Kunden buchbar sein
|
|
addresses_specific
|
Optional | Liste | ||
commands
|
Optional | Liste | ||
pxe
|
Optional | Boolean (true/false) |
curl \
-X POST \
-H "Authorization: Bearer IHR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"project_uuid": "2f1b6c3e-7d84-4a0b-9c1e-5f3a8b7d2c10",
"cores": 1,
"memory": 1,
"template": "text",
"storages": [
{
"size": 1
}
]
}' \
"https://connect.nicapi.eu/api/v2/cloud/servers"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::post("https://connect.nicapi.eu/api/v2/cloud/servers", [
'project_uuid' => '2f1b6c3e-7d84-4a0b-9c1e-5f3a8b7d2c10',
'cores' => 1,
'memory' => 1,
'template' => 'text',
'storages' => [
[
'size' => 1,
],
],
]);
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
GET Servers: Mass Status API v2
Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.
curl \ -H "Authorization: Bearer IHR_API_TOKEN" \ "https://connect.nicapi.eu/api/v2/cloud/servers/massStatus"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::get("https://connect.nicapi.eu/api/v2/cloud/servers/massStatus");
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
GET Servers: Einzeln abrufen API v2
Pfad-Parameter Werden direkt in die URL eingesetzt.
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
cloud_server
|
Pflicht | Identifikator: Cloud-Server | Identifikator (id) des Objekts „Cloud Server“, Teil des Pfads. |
Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.
curl \
-H "Authorization: Bearer IHR_API_TOKEN" \
"https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::get("https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}");
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
PUT Servers: Ändern API v2
Pfad-Parameter Werden direkt in die URL eingesetzt.
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
cloud_server
|
Pflicht | Identifikator: Cloud-Server | Identifikator (id) des Objekts „Cloud Server“, Teil des Pfads. |
Request-Parameter Werden im Request-Body übergeben (JSON oder Formular-Felder).
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
title
|
Optional |
Text
darf leer (null) sein |
höchstens 255 Zeichen
|
|
hostname
|
Optional |
Text
darf leer (null) sein |
höchstens 255 Zeichen
|
|
project_uuid
|
Optional |
Identifikator: Projekt
darf leer (null) sein |
Identifikator (uuid) des Objekts „Project“. |
curl \
-X PUT \
-H "Authorization: Bearer IHR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"title": "text",
"hostname": "text",
"project_uuid": "{project_uuid}"
}' \
"https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::put("https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}", [
'title' => 'text',
'hostname' => 'text',
'project_uuid' => '{project_uuid}',
]);
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
DELETE Servers: Löschen API v2
Pfad-Parameter Werden direkt in die URL eingesetzt.
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
cloud_server
|
Pflicht | Identifikator: Cloud-Server | Identifikator (id) des Objekts „Cloud Server“, Teil des Pfads. |
Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.
curl \
-X DELETE \
-H "Authorization: Bearer IHR_API_TOKEN" \
"https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::delete("https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}");
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
GET Servers: Backups API v2
Pfad-Parameter Werden direkt in die URL eingesetzt.
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
cloud_server
|
Pflicht | Identifikator: Cloud-Server | Identifikator (id) des Objekts „Cloud Server“, Teil des Pfads. |
Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.
curl \
-H "Authorization: Bearer IHR_API_TOKEN" \
"https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}/backups"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::get("https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}/backups");
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
POST Servers: Backups API v2
Pfad-Parameter Werden direkt in die URL eingesetzt.
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
cloud_server
|
Pflicht | Identifikator: Cloud-Server | Identifikator (id) des Objekts „Cloud Server“, Teil des Pfads. |
Request-Parameter Werden im Request-Body übergeben (JSON oder Formular-Felder).
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
title
|
Optional | Text |
höchstens 255 Zeichen
|
|
mode
|
Optional | Auswahl |
snapshot suspend stop |
curl \
-X POST \
-H "Authorization: Bearer IHR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"title": "text",
"mode": "snapshot"
}' \
"https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}/backups"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::post("https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}/backups", [
'title' => 'text',
'mode' => 'snapshot',
]);
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
DELETE Servers: Backups API v2
Pfad-Parameter Werden direkt in die URL eingesetzt.
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
cloud_server
|
Pflicht | Identifikator: Cloud-Server | Identifikator (id) des Objekts „Cloud Server“, Teil des Pfads. | |
cloud_server_backup
|
Pflicht | Identifikator: Cloud-Server-Backup | Identifikator (id) des Objekts „Cloud Server Backup“, Teil des Pfads. |
Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.
curl \
-X DELETE \
-H "Authorization: Bearer IHR_API_TOKEN" \
"https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}/backups/{cloud_server_backup}"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::delete("https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}/backups/{cloud_server_backup}");
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
GET Servers: Firewall Rules API v2
Pfad-Parameter Werden direkt in die URL eingesetzt.
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
cloud_server
|
Pflicht | Identifikator: Cloud-Server | Identifikator (id) des Objekts „Cloud Server“, Teil des Pfads. |
Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.
curl \
-H "Authorization: Bearer IHR_API_TOKEN" \
"https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}/firewall/rules"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::get("https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}/firewall/rules");
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
POST Servers: Firewall Rules API v2
Pfad-Parameter Werden direkt in die URL eingesetzt.
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
cloud_server
|
Pflicht | Identifikator: Cloud-Server | Identifikator (id) des Objekts „Cloud Server“, Teil des Pfads. |
Request-Parameter Werden im Request-Body übergeben (JSON oder Formular-Felder).
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
title
|
Pflicht | Text |
höchstens 255 Zeichen
|
|
order
|
Pflicht | Ganzzahl |
mindestens 0
|
|
linked_rule_set_id
|
Bedingt | Ganzzahl |
Pflicht, wenn direction, action fehlt
mindestens 1
|
|
direction
|
Bedingt | Auswahl |
IN OUT Pflicht, wenn linked_rule_set_id fehlt
|
|
action
|
Bedingt | Auswahl |
ACCEPT DROP REJECT Pflicht, wenn linked_rule_set_id fehlt
|
|
interface
|
Optional |
Text
darf leer (null) sein |
höchstens 255 Zeichen
|
|
protocol
|
Optional |
Text
darf leer (null) sein |
höchstens 255 Zeichen
|
|
source_address
|
Optional |
Text
darf leer (null) sein |
||
source_address_set_id
|
Optional | Ganzzahl | ||
source_port
|
Optional |
Text
darf leer (null) sein |
||
destination_address
|
Optional |
Text
darf leer (null) sein |
||
destination_address_set_id
|
Optional | Ganzzahl | ||
destination_port
|
Optional |
Text
darf leer (null) sein |
curl \
-X POST \
-H "Authorization: Bearer IHR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"title": "text",
"order": 1,
"linked_rule_set_id": 1,
"direction": "IN",
"action": "ACCEPT"
}' \
"https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}/firewall/rules"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::post("https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}/firewall/rules", [
'title' => 'text',
'order' => 1,
'linked_rule_set_id' => 1,
'direction' => 'IN',
'action' => 'ACCEPT',
]);
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
GET Servers: Firewall Rules API v2
Pfad-Parameter Werden direkt in die URL eingesetzt.
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
cloud_server
|
Pflicht | Identifikator: Cloud-Server | Identifikator (id) des Objekts „Cloud Server“, Teil des Pfads. | |
firewall_rule
|
Pflicht | Identifikator: Firewall-Regel | Identifikator (id) des Objekts „Firewall Rule“, Teil des Pfads. |
Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.
curl \
-H "Authorization: Bearer IHR_API_TOKEN" \
"https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}/firewall/rules/{firewall_rule}"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::get("https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}/firewall/rules/{firewall_rule}");
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
PUT Servers: Firewall Rules API v2
Pfad-Parameter Werden direkt in die URL eingesetzt.
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
cloud_server
|
Pflicht | Identifikator: Cloud-Server | Identifikator (id) des Objekts „Cloud Server“, Teil des Pfads. | |
firewall_rule
|
Pflicht | Identifikator: Firewall-Regel | Identifikator (id) des Objekts „Firewall Rule“, Teil des Pfads. |
Request-Parameter Werden im Request-Body übergeben (JSON oder Formular-Felder).
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
title
|
Optional | Text |
höchstens 255 Zeichen
|
|
order
|
Optional | Ganzzahl |
mindestens 0
|
|
linked_rule_set_id
|
Optional | Ganzzahl |
mindestens 1
|
|
direction
|
Optional | Auswahl |
IN OUT |
|
action
|
Optional | Auswahl |
ACCEPT DROP REJECT |
|
interface
|
Optional |
Text
darf leer (null) sein |
höchstens 255 Zeichen
|
|
protocol
|
Optional |
Text
darf leer (null) sein |
höchstens 255 Zeichen
|
|
source_address
|
Optional |
Text
darf leer (null) sein |
||
source_address_set_id
|
Optional | Ganzzahl | ||
source_port
|
Optional |
Text
darf leer (null) sein |
||
destination_address
|
Optional |
Text
darf leer (null) sein |
||
destination_address_set_id
|
Optional | Ganzzahl | ||
destination_port
|
Optional |
Text
darf leer (null) sein |
curl \
-X PUT \
-H "Authorization: Bearer IHR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"title": "text",
"order": 1,
"linked_rule_set_id": 1,
"direction": "IN",
"action": "ACCEPT",
"interface": "text",
"protocol": "text",
"source_address": "text",
"source_address_set_id": 1,
"source_port": "text",
"destination_address": "text",
"destination_address_set_id": 1,
"destination_port": "text"
}' \
"https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}/firewall/rules/{firewall_rule}"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::put("https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}/firewall/rules/{firewall_rule}", [
'title' => 'text',
'order' => 1,
'linked_rule_set_id' => 1,
'direction' => 'IN',
'action' => 'ACCEPT',
'interface' => 'text',
'protocol' => 'text',
'source_address' => 'text',
'source_address_set_id' => 1,
'source_port' => 'text',
'destination_address' => 'text',
'destination_address_set_id' => 1,
'destination_port' => 'text',
]);
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
DELETE Servers: Firewall Rules API v2
Pfad-Parameter Werden direkt in die URL eingesetzt.
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
cloud_server
|
Pflicht | Identifikator: Cloud-Server | Identifikator (id) des Objekts „Cloud Server“, Teil des Pfads. | |
firewall_rule
|
Pflicht | Identifikator: Firewall-Regel | Identifikator (id) des Objekts „Firewall Rule“, Teil des Pfads. |
Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.
curl \
-X DELETE \
-H "Authorization: Bearer IHR_API_TOKEN" \
"https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}/firewall/rules/{firewall_rule}"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::delete("https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}/firewall/rules/{firewall_rule}");
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
GET Servers: Interfaces API v2
Pfad-Parameter Werden direkt in die URL eingesetzt.
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
cloud_server
|
Pflicht | Identifikator: Cloud-Server | Identifikator (id) des Objekts „Cloud Server“, Teil des Pfads. |
Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.
curl \
-H "Authorization: Bearer IHR_API_TOKEN" \
"https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}/interfaces"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::get("https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}/interfaces");
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
POST Servers: Interfaces API v2
Pfad-Parameter Werden direkt in die URL eingesetzt.
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
cloud_server
|
Pflicht | Identifikator: Cloud-Server | Identifikator (id) des Objekts „Cloud Server“, Teil des Pfads. |
Request-Parameter Werden im Request-Body übergeben (JSON oder Formular-Felder).
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
primary_ipv4
|
Optional |
IP-Adresse
darf leer (null) sein |
||
ipv4
|
Optional | Liste | ||
ipv4[]
|
Optional | IP-Adresse | ||
custom_address
|
Optional |
Text
darf leer (null) sein |
IPv4-Netz in CIDR-Schreibweise, z. B. 192.0.2.0/28
|
|
custom_gateway
|
Optional |
IP-Adresse
darf leer (null) sein |
||
vlan_id
|
Optional |
Identifikator: Netzwerk (VLAN)
darf leer (null) sein |
mindestens 1
|
Identifikator (id) des Objekts „Network“. |
curl \
-X POST \
-H "Authorization: Bearer IHR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"primary_ipv4": "192.0.2.1",
"ipv4": [
"192.0.2.1"
],
"custom_address": "text",
"custom_gateway": "192.0.2.1",
"vlan_id": "{vlan_id}"
}' \
"https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}/interfaces"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::post("https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}/interfaces", [
'primary_ipv4' => '192.0.2.1',
'ipv4' => [
'192.0.2.1',
],
'custom_address' => 'text',
'custom_gateway' => '192.0.2.1',
'vlan_id' => '{vlan_id}',
]);
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
GET Servers: Interfaces API v2
Pfad-Parameter Werden direkt in die URL eingesetzt.
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
cloud_server
|
Pflicht | Identifikator: Cloud-Server | Identifikator (id) des Objekts „Cloud Server“, Teil des Pfads. | |
cloud_server_interface
|
Pflicht | Identifikator: Cloud-Server-Netzwerkschnittstelle | Identifikator (netname) des Objekts „Cloud Server Interface“, Teil des Pfads. |
Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.
curl \
-H "Authorization: Bearer IHR_API_TOKEN" \
"https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}/interfaces/{cloud_server_interface}"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::get("https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}/interfaces/{cloud_server_interface}");
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
PUT Servers: Interfaces API v2
Pfad-Parameter Werden direkt in die URL eingesetzt.
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
cloud_server
|
Pflicht | Identifikator: Cloud-Server | Identifikator (id) des Objekts „Cloud Server“, Teil des Pfads. | |
cloud_server_interface
|
Pflicht | Identifikator: Cloud-Server-Netzwerkschnittstelle | Identifikator (netname) des Objekts „Cloud Server Interface“, Teil des Pfads. |
Request-Parameter Werden im Request-Body übergeben (JSON oder Formular-Felder).
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
primary_ipv4
|
Optional |
IP-Adresse
darf leer (null) sein |
||
ipv4
|
Optional | Liste | ||
ipv4[]
|
Optional | IP-Adresse | ||
custom_address
|
Optional |
Text
darf leer (null) sein |
IPv4-Netz in CIDR-Schreibweise, z. B. 192.0.2.0/28
|
|
custom_gateway
|
Optional |
IP-Adresse
darf leer (null) sein |
||
vlan_id
|
Optional |
Identifikator: Netzwerk (VLAN)
darf leer (null) sein |
mindestens 1
|
Identifikator (id) des Objekts „Network“. |
network_id
|
Optional |
Identifikator: Netzwerk (VLAN)
darf leer (null) sein |
mindestens 1
|
Identifikator (id) des Objekts „Network“. |
curl \
-X PUT \
-H "Authorization: Bearer IHR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"primary_ipv4": "192.0.2.1",
"ipv4": [
"192.0.2.1"
],
"custom_address": "text",
"custom_gateway": "192.0.2.1",
"vlan_id": "{vlan_id}",
"network_id": "{network_id}"
}' \
"https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}/interfaces/{cloud_server_interface}"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::put("https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}/interfaces/{cloud_server_interface}", [
'primary_ipv4' => '192.0.2.1',
'ipv4' => [
'192.0.2.1',
],
'custom_address' => 'text',
'custom_gateway' => '192.0.2.1',
'vlan_id' => '{vlan_id}',
'network_id' => '{network_id}',
]);
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
DELETE Servers: Interfaces API v2
Pfad-Parameter Werden direkt in die URL eingesetzt.
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
cloud_server
|
Pflicht | Identifikator: Cloud-Server | Identifikator (id) des Objekts „Cloud Server“, Teil des Pfads. | |
cloud_server_interface
|
Pflicht | Identifikator: Cloud-Server-Netzwerkschnittstelle | Identifikator (netname) des Objekts „Cloud Server Interface“, Teil des Pfads. |
Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.
curl \
-X DELETE \
-H "Authorization: Bearer IHR_API_TOKEN" \
"https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}/interfaces/{cloud_server_interface}"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::delete("https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}/interfaces/{cloud_server_interface}");
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
POST generated::QkaYN4Qjzpl5xPe0 API v2
Pfad-Parameter Werden direkt in die URL eingesetzt.
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
cloud_server
|
Pflicht | Identifikator: Cloud-Server | Identifikator (id) des Objekts „Cloud Server“, Teil des Pfads. |
Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.
curl \
-X POST \
-H "Authorization: Bearer IHR_API_TOKEN" \
"https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}/restart"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::post("https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}/restart");
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
POST Servers: Restore API v2
Pfad-Parameter Werden direkt in die URL eingesetzt.
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
cloud_server
|
Pflicht | Identifikator: Cloud-Server | Identifikator (id) des Objekts „Cloud Server“, Teil des Pfads. |
Request-Parameter Werden im Request-Body übergeben (JSON oder Formular-Felder).
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
backup_id
|
Pflicht | Text |
Objekt muss für den Account zugreifbar sein
|
curl \
-X POST \
-H "Authorization: Bearer IHR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"backup_id": "text"
}' \
"https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}/restore"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::post("https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}/restore", [
'backup_id' => 'text',
]);
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
GET Servers: Scheduled Tasks API v2
Pfad-Parameter Werden direkt in die URL eingesetzt.
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
cloud_server
|
Pflicht | Identifikator: Cloud-Server | Identifikator (id) des Objekts „Cloud Server“, Teil des Pfads. |
Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.
curl \
-H "Authorization: Bearer IHR_API_TOKEN" \
"https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}/scheduled-tasks"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::get("https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}/scheduled-tasks");
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
POST Servers: Scheduled Tasks API v2
Pfad-Parameter Werden direkt in die URL eingesetzt.
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
cloud_server
|
Pflicht | Identifikator: Cloud-Server | Identifikator (id) des Objekts „Cloud Server“, Teil des Pfads. |
Request-Parameter Werden im Request-Body übergeben (JSON oder Formular-Felder).
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
action
|
Pflicht | Auswahl |
createBackup backup restart shutdown start |
|
interval
|
Pflicht | Text |
Intervall: hour, day, week, month oder year
|
|
first_execution
|
Optional | Datum (YYYY-MM-DD) |
nach now
|
curl \
-X POST \
-H "Authorization: Bearer IHR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"action": "createBackup",
"interval": "text"
}' \
"https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}/scheduled-tasks"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::post("https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}/scheduled-tasks", [
'action' => 'createBackup',
'interval' => 'text',
]);
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
DELETE Servers: Scheduled Tasks API v2
Pfad-Parameter Werden direkt in die URL eingesetzt.
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
cloud_server
|
Pflicht | Identifikator: Cloud-Server | Identifikator (id) des Objekts „Cloud Server“, Teil des Pfads. | |
cloud_server_scheduled_task
|
Pflicht | Identifikator: Geplanter Task | Identifikator (id) des Objekts „Cloud Server Scheduled Task“, Teil des Pfads. |
Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.
curl \
-X DELETE \
-H "Authorization: Bearer IHR_API_TOKEN" \
"https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}/scheduled-tasks/{cloud_server_scheduled_task}"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::delete("https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}/scheduled-tasks/{cloud_server_scheduled_task}");
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
POST generated::0mWlTuWs5diykAGJ API v2
Pfad-Parameter Werden direkt in die URL eingesetzt.
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
cloud_server
|
Pflicht | Identifikator: Cloud-Server | Identifikator (id) des Objekts „Cloud Server“, Teil des Pfads. |
Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.
curl \
-X POST \
-H "Authorization: Bearer IHR_API_TOKEN" \
"https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}/shutdown"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::post("https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}/shutdown");
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
GET Servers: Snapshots API v2
Pfad-Parameter Werden direkt in die URL eingesetzt.
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
cloud_server
|
Pflicht | Identifikator: Cloud-Server | Identifikator (id) des Objekts „Cloud Server“, Teil des Pfads. |
Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.
curl \
-H "Authorization: Bearer IHR_API_TOKEN" \
"https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}/snapshots"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::get("https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}/snapshots");
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
POST Servers: Snapshots API v2
Pfad-Parameter Werden direkt in die URL eingesetzt.
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
cloud_server
|
Pflicht | Identifikator: Cloud-Server | Identifikator (id) des Objekts „Cloud Server“, Teil des Pfads. |
Request-Parameter Werden im Request-Body übergeben (JSON oder Formular-Felder).
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
title
|
Pflicht | Text |
mindestens 2 Zeichen
Format: /^[a-zA-Z][a-zA-Z0-9_]+$/
|
|
description
|
Optional | Text |
curl \
-X POST \
-H "Authorization: Bearer IHR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"title": "text"
}' \
"https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}/snapshots"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::post("https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}/snapshots", [
'title' => 'text',
]);
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
GET Servers: Snapshots API v2
Pfad-Parameter Werden direkt in die URL eingesetzt.
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
cloud_server
|
Pflicht | Identifikator: Cloud-Server | Identifikator (id) des Objekts „Cloud Server“, Teil des Pfads. | |
cloud_server_snapshot
|
Pflicht | Identifikator: Cloud-Server-Snapshot | Identifikator (id) des Objekts „Cloud Server Snapshot“, Teil des Pfads. |
Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.
curl \
-H "Authorization: Bearer IHR_API_TOKEN" \
"https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}/snapshots/{cloud_server_snapshot}"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::get("https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}/snapshots/{cloud_server_snapshot}");
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
DELETE Servers: Snapshots API v2
Pfad-Parameter Werden direkt in die URL eingesetzt.
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
cloud_server
|
Pflicht | Identifikator: Cloud-Server | Identifikator (id) des Objekts „Cloud Server“, Teil des Pfads. | |
cloud_server_snapshot
|
Pflicht | Identifikator: Cloud-Server-Snapshot | Identifikator (id) des Objekts „Cloud Server Snapshot“, Teil des Pfads. |
Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.
curl \
-X DELETE \
-H "Authorization: Bearer IHR_API_TOKEN" \
"https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}/snapshots/{cloud_server_snapshot}"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::delete("https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}/snapshots/{cloud_server_snapshot}");
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
PUT Servers: Snapshots Rollback API v2
Pfad-Parameter Werden direkt in die URL eingesetzt.
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
cloud_server
|
Pflicht | Identifikator: Cloud-Server | Identifikator (id) des Objekts „Cloud Server“, Teil des Pfads. | |
cloud_server_snapshot
|
Pflicht | Identifikator: Cloud-Server-Snapshot | Identifikator (id) des Objekts „Cloud Server Snapshot“, Teil des Pfads. |
Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.
curl \
-X PUT \
-H "Authorization: Bearer IHR_API_TOKEN" \
"https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}/snapshots/{cloud_server_snapshot}/rollback"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::put("https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}/snapshots/{cloud_server_snapshot}/rollback");
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
POST generated::aNb3LXlouO0Ch60n API v2
Pfad-Parameter Werden direkt in die URL eingesetzt.
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
cloud_server
|
Pflicht | Identifikator: Cloud-Server | Identifikator (id) des Objekts „Cloud Server“, Teil des Pfads. |
Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.
curl \
-X POST \
-H "Authorization: Bearer IHR_API_TOKEN" \
"https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}/start"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::post("https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}/start");
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
POST generated::OBXhxYXUvcM9Thyy API v2
Pfad-Parameter Werden direkt in die URL eingesetzt.
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
cloud_server
|
Pflicht | Identifikator: Cloud-Server | Identifikator (id) des Objekts „Cloud Server“, Teil des Pfads. |
Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.
curl \
-X POST \
-H "Authorization: Bearer IHR_API_TOKEN" \
"https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}/stop"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::post("https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}/stop");
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
POST Servers: Storages API v2
Pfad-Parameter Werden direkt in die URL eingesetzt.
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
cloud_server
|
Pflicht | Identifikator: Cloud-Server | Identifikator (id) des Objekts „Cloud Server“, Teil des Pfads. |
Request-Parameter Werden im Request-Body übergeben (JSON oder Formular-Felder).
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
size
|
Pflicht | Ganzzahl |
muss einer buchbaren Konfiguration entsprechen (siehe Preise)
muss für den Kunden buchbar sein
|
|
is_boot
|
Optional | Boolean (true/false) |
curl \
-X POST \
-H "Authorization: Bearer IHR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"size": 1
}' \
"https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}/storages"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::post("https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}/storages", [
'size' => 1,
]);
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
PUT Servers: Storages API v2
Pfad-Parameter Werden direkt in die URL eingesetzt.
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
cloud_server
|
Pflicht | Identifikator: Cloud-Server | Identifikator (id) des Objekts „Cloud Server“, Teil des Pfads. | |
cloud_server_storage
|
Pflicht | Identifikator: Cloud-Server-Speicher | Identifikator (title) des Objekts „Cloud Server Storage“, Teil des Pfads. |
Request-Parameter Werden im Request-Body übergeben (JSON oder Formular-Felder).
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
size
|
Optional | Ganzzahl |
muss einer buchbaren Konfiguration entsprechen (siehe Preise)
muss für den Kunden buchbar sein
|
|
is_boot
|
Optional | Boolean (true/false) |
curl \
-X PUT \
-H "Authorization: Bearer IHR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"size": 1,
"is_boot": true
}' \
"https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}/storages/{cloud_server_storage}"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::put("https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}/storages/{cloud_server_storage}", [
'size' => 1,
'is_boot' => true,
]);
if (NicAPI::wasSuccess()) {
$data = $result->data;
}
DELETE Servers: Storages API v2
Pfad-Parameter Werden direkt in die URL eingesetzt.
| Name | Pflicht | Typ | Einschränkungen | Beschreibung |
|---|---|---|---|---|
cloud_server
|
Pflicht | Identifikator: Cloud-Server | Identifikator (id) des Objekts „Cloud Server“, Teil des Pfads. | |
cloud_server_storage
|
Pflicht | Identifikator: Cloud-Server-Speicher | Identifikator (title) des Objekts „Cloud Server Storage“, Teil des Pfads. |
Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.
curl \
-X DELETE \
-H "Authorization: Bearer IHR_API_TOKEN" \
"https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}/storages/{cloud_server_storage}"
use NicAPI\NicAPI;
NicAPI::init("IHR_API_TOKEN");
$result = NicAPI::delete("https://connect.nicapi.eu/api/v2/cloud/servers/{cloud_server}/storages/{cloud_server_storage}");
if (NicAPI::wasSuccess()) {
$data = $result->data;
}